diff --git a/tests/unit/modules/test_virt.py b/tests/unit/modules/test_virt.py
index 3e9bd5ef49..d3988464f6 100644
--- a/tests/unit/modules/test_virt.py
+++ b/tests/unit/modules/test_virt.py
@@ -1881,198 +3129,258 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
   </guest>
 
 </capabilities>
-        '''
+        """
         self.mock_conn.getCapabilities.return_value = xml  # pylint: disable=no-member
         caps = virt.capabilities()
 
         expected = {
-            'host': {
-                'uuid': '44454c4c-3400-105a-8033-b3c04f4b344a',
-                'cpu': {
-                    'arch': 'x86_64',
-                    'model': 'Nehalem',
-                    'vendor': 'Intel',
-                    'microcode': '25',
-                    'sockets': 1,
-                    'cores': 4,
-                    'threads': 2,
-                    'features': ['vme', 'ds', 'acpi'],
-                    'pages': [{'size': '4 KiB'}, {'size': '2048 KiB'}]
-                },
-                'power_management': ['suspend_mem', 'suspend_disk', 'suspend_hybrid'],
-                'migration': {
-                    'live': True,
-                    'transports': ['tcp', 'rdma']
+            "host": {
+                "uuid": "44454c4c-3400-105a-8033-b3c04f4b344a",
+                "cpu": {
+                    "arch": "x86_64",
+                    "model": "Nehalem",
+                    "vendor": "Intel",
+                    "microcode": "25",
+                    "sockets": 1,
+                    "cores": 4,
+                    "threads": 2,
+                    "features": ["vme", "ds", "acpi"],
+                    "pages": [{"size": "4 KiB"}, {"size": "2048 KiB"}],
                 },
-                'topology': {
-                    'cells': [
+                "power_management": ["suspend_mem", "suspend_disk", "suspend_hybrid"],
+                "migration": {"live": True, "transports": ["tcp", "rdma"]},
+                "topology": {
+                    "cells": [
                         {
-                            'id': 0,
-                            'memory': '12367120 KiB',
-                            'pages': [
-                                {'size': '4 KiB', 'available': 3091780},
-                                {'size': '2048 KiB', 'available': 0}
+                            "id": 0,
+                            "memory": "12367120 KiB",
+                            "pages": [
+                                {"size": "4 KiB", "available": 3091780},
+                                {"size": "2048 KiB", "available": 0},
+                            ],
+                            "distances": {0: 10},
+                            "cpus": [
+                                {
+                                    "id": 0,
+                                    "socket_id": 0,
+                                    "core_id": 0,
+                                    "siblings": "0,4",
+                                },
+                                {
+                                    "id": 1,
+                                    "socket_id": 0,
+                                    "core_id": 1,
+                                    "siblings": "1,5",
+                                },
+                                {
+                                    "id": 2,
+                                    "socket_id": 0,
+                                    "core_id": 2,
+                                    "siblings": "2,6",
+                                },
+                                {
+                                    "id": 3,
+                                    "socket_id": 0,
+                                    "core_id": 3,
+                                    "siblings": "3,7",
+                                },
+                                {
+                                    "id": 4,
+                                    "socket_id": 0,
+                                    "core_id": 0,
+                                    "siblings": "0,4",
+                                },
+                                {
+                                    "id": 5,
+                                    "socket_id": 0,
+                                    "core_id": 1,
+                                    "siblings": "1,5",
+                                },
+                                {
+                                    "id": 6,
+                                    "socket_id": 0,
+                                    "core_id": 2,
+                                    "siblings": "2,6",
+                                },
+                                {
+                                    "id": 7,
+                                    "socket_id": 0,
+                                    "core_id": 3,
+                                    "siblings": "3,7",
+                                },
                             ],
-                            'distances': {
-                                0: 10,
-                            },
-                            'cpus': [
-                                {'id': 0, 'socket_id': 0, 'core_id': 0, 'siblings': '0,4'},
-                                {'id': 1, 'socket_id': 0, 'core_id': 1, 'siblings': '1,5'},
-                                {'id': 2, 'socket_id': 0, 'core_id': 2, 'siblings': '2,6'},
-                                {'id': 3, 'socket_id': 0, 'core_id': 3, 'siblings': '3,7'},
-                                {'id': 4, 'socket_id': 0, 'core_id': 0, 'siblings': '0,4'},
-                                {'id': 5, 'socket_id': 0, 'core_id': 1, 'siblings': '1,5'},
-                                {'id': 6, 'socket_id': 0, 'core_id': 2, 'siblings': '2,6'},
-                                {'id': 7, 'socket_id': 0, 'core_id': 3, 'siblings': '3,7'}
-                            ]
                         }
                     ]
                 },
-                'cache': {
-                    'banks': [
-                        {'id': 0, 'level': 3, 'type': 'both', 'size': '8 MiB', 'cpus': '0-7'}
+                "cache": {
+                    "banks": [
+                        {
+                            "id": 0,
+                            "level": 3,
+                            "type": "both",
+                            "size": "8 MiB",
+                            "cpus": "0-7",
+                        }
                     ]
                 },
-                'security': [
-                    {'model': 'apparmor', 'doi': '0', 'baselabels': []},
-                    {'model': 'dac', 'doi': '0', 'baselabels': [
-                        {'type': 'kvm', 'label': '+487:+486'},
-                        {'type': 'qemu', 'label': '+487:+486'}
-                    ]}
-                ]
+                "security": [
+                    {"model": "apparmor", "doi": "0", "baselabels": []},
+                    {
+                        "model": "dac",
+                        "doi": "0",
+                        "baselabels": [
+                            {"type": "kvm", "label": "+487:+486"},
+                            {"type": "qemu", "label": "+487:+486"},
+                        ],
+                    },
+                ],
             },
-            'guests': [
+            "guests": [
                 {
-                    'os_type': 'hvm',
-                    'arch': {
-                        'name': 'i686',
-                        'wordsize': 32,
-                        'emulator': '/usr/bin/qemu-system-i386',
-                        'machines': {
-                            'pc-i440fx-2.6': {'maxcpus': 255, 'alternate_names': ['pc']},
-                            'pc-0.12': {'maxcpus': 255, 'alternate_names': []}
+                    "os_type": "hvm",
+                    "arch": {
+                        "name": "i686",
+                        "wordsize": 32,
+                        "emulator": "/usr/bin/qemu-system-i386",
+                        "machines": {
+                            "pc-i440fx-2.6": {
+                                "maxcpus": 255,
+                                "alternate_names": ["pc"],
+                            },
+                            "pc-0.12": {"maxcpus": 255, "alternate_names": []},
                         },
-                        'domains': {
-                            'qemu': {
-                                'emulator': None,
-                                'machines': {}
+                        "domains": {
+                            "qemu": {"emulator": None, "machines": {}},
+                            "kvm": {
+                                "emulator": "/usr/bin/qemu-kvm",
+                                "machines": {
+                                    "pc-i440fx-2.6": {
+                                        "maxcpus": 255,
+                                        "alternate_names": ["pc"],
+                                    },
+                                    "pc-0.12": {"maxcpus": 255, "alternate_names": []},
+                                },
                             },
-                            'kvm': {
-                                'emulator': '/usr/bin/qemu-kvm',
-                                'machines': {
-                                    'pc-i440fx-2.6': {'maxcpus': 255, 'alternate_names': ['pc']},
-                                    'pc-0.12': {'maxcpus': 255, 'alternate_names': []}
-                                }
-                            }
-                        }
+                        },
+                    },
+                    "features": {
+                        "cpuselection": {"default": True, "toggle": False},
+                        "deviceboot": {"default": True, "toggle": False},
+                        "disksnapshot": {"default": True, "toggle": False},
+                        "acpi": {"default": True, "toggle": True},
+                        "apic": {"default": True, "toggle": False},
+                        "pae": {"default": True, "toggle": False},
+                        "nonpae": {"default": True, "toggle": False},
                     },
-                    'features': {
-                        'cpuselection': {'default': True, 'toggle': False},
-                        'deviceboot': {'default': True, 'toggle': False},
-                        'disksnapshot': {'default': True, 'toggle': False},
-                        'acpi': {'default': True, 'toggle': True},
-                        'apic': {'default': True, 'toggle': False},
-                        'pae': {'default': True, 'toggle': False},
-                        'nonpae': {'default': True, 'toggle': False}
-                    }
                 },
                 {
-                    'os_type': 'hvm',
-                    'arch': {
-                        'name': 'x86_64',
-                        'wordsize': 64,
-                        'emulator': '/usr/bin/qemu-system-x86_64',
-                        'machines': {
-                            'pc-i440fx-2.6': {'maxcpus': 255, 'alternate_names': ['pc']},
-                            'pc-0.12': {'maxcpus': 255, 'alternate_names': []}
+                    "os_type": "hvm",
+                    "arch": {
+                        "name": "x86_64",
+                        "wordsize": 64,
+                        "emulator": "/usr/bin/qemu-system-x86_64",
+                        "machines": {
+                            "pc-i440fx-2.6": {
+                                "maxcpus": 255,
+                                "alternate_names": ["pc"],
+                            },
+                            "pc-0.12": {"maxcpus": 255, "alternate_names": []},
                         },
-                        'domains': {
-                            'qemu': {
-                                'emulator': None,
-                                'machines': {}
+                        "domains": {
+                            "qemu": {"emulator": None, "machines": {}},
+                            "kvm": {
+                                "emulator": "/usr/bin/qemu-kvm",
+                                "machines": {
+                                    "pc-i440fx-2.6": {
+                                        "maxcpus": 255,
+                                        "alternate_names": ["pc"],
+                                    },
+                                    "pc-0.12": {"maxcpus": 255, "alternate_names": []},
+                                },
                             },
-                            'kvm': {
-                                'emulator': '/usr/bin/qemu-kvm',
-                                'machines': {
-                                    'pc-i440fx-2.6': {'maxcpus': 255, 'alternate_names': ['pc']},
-                                    'pc-0.12': {'maxcpus': 255, 'alternate_names': []}
-                                }
-                            }
-                        }
+                        },
+                    },
+                    "features": {
+                        "cpuselection": {"default": True, "toggle": False},
+                        "deviceboot": {"default": True, "toggle": False},
+                        "disksnapshot": {"default": True, "toggle": False},
+                        "acpi": {"default": True, "toggle": True},
+                        "apic": {"default": True, "toggle": False},
                     },
-                    'features': {
-                        'cpuselection': {'default': True, 'toggle': False},
-                        'deviceboot': {'default': True, 'toggle': False},
-                        'disksnapshot': {'default': True, 'toggle': False},
-                        'acpi': {'default': True, 'toggle': True},
-                        'apic': {'default': True, 'toggle': False}
-                    }
                 },
                 {
-                    'os_type': 'xen',
-                    'arch': {
-                        'name': 'x86_64',
-                        'wordsize': 64,
-                        'emulator': '/usr/bin/qemu-system-x86_64',
-                        'machines': {
-                            'xenpv': {'alternate_names': []}
-                        },
-                        'domains': {
-                            'xen': {
-                                'emulator': None,
-                                'machines': {}
-                            }
-                        }
-                    }
-                }
-            ]
+                    "os_type": "xen",
+                    "arch": {
+                        "name": "x86_64",
+                        "wordsize": 64,
+                        "emulator": "/usr/bin/qemu-system-x86_64",
+                        "machines": {"xenpv": {"alternate_names": []}},
+                        "domains": {"xen": {"emulator": None, "machines": {}}},
+                    },
+                },
+            ],
         }
 
         self.assertEqual(expected, caps)
 
     def test_network(self):
-        '''
+        """
         Test virt._get_net_xml()
-        '''
-        xml_data = virt._gen_net_xml('network', 'main', 'bridge', 'openvswitch')
+        """
+        xml_data = virt._gen_net_xml("network", "main", "bridge", "openvswitch")
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'network')
-        self.assertEqual(root.find('bridge').attrib['name'], 'main')
-        self.assertEqual(root.find('forward').attrib['mode'], 'bridge')
-        self.assertEqual(root.find('virtualport').attrib['type'], 'openvswitch')
+        self.assertEqual(root.find("name").text, "network")
+        self.assertEqual(root.find("bridge").attrib["name"], "main")
+        self.assertEqual(root.find("forward").attrib["mode"], "bridge")
+        self.assertEqual(root.find("virtualport").attrib["type"], "openvswitch")
 
     def test_network_nat(self):
-        '''
+        """
         Test virt._get_net_xml() in a nat setup
-        '''
-        xml_data = virt._gen_net_xml('network', 'main', 'nat', None, ip_configs=[
-            {
-                'cidr': '192.168.2.0/24',
-                'dhcp_ranges': [
-                    {'start': '192.168.2.10', 'end': '192.168.2.25'},
-                    {'start': '192.168.2.110', 'end': '192.168.2.125'},
-                ]
-            }
-        ])
+        """
+        xml_data = virt._gen_net_xml(
+            "network",
+            "main",
+            "nat",
+            None,
+            ip_configs=[
+                {
+                    "cidr": "192.168.2.0/24",
+                    "dhcp_ranges": [
+                        {"start": "192.168.2.10", "end": "192.168.2.25"},
+                        {"start": "192.168.2.110", "end": "192.168.2.125"},
+                    ],
+                }
+            ],
+        )
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'network')
-        self.assertEqual(root.find('bridge').attrib['name'], 'main')
-        self.assertEqual(root.find('forward').attrib['mode'], 'nat')
-        self.assertEqual(root.find("./ip[@address='192.168.2.0']").attrib['prefix'], '24')
-        self.assertEqual(root.find("./ip[@address='192.168.2.0']").attrib['family'], 'ipv4')
+        self.assertEqual(root.find("name").text, "network")
+        self.assertEqual(root.find("bridge").attrib["name"], "main")
+        self.assertEqual(root.find("forward").attrib["mode"], "nat")
         self.assertEqual(
-                root.find("./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.10']").attrib['end'],
-                '192.168.2.25')
+            root.find("./ip[@address='192.168.2.0']").attrib["prefix"], "24"
+        )
         self.assertEqual(
-                root.find("./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.110']").attrib['end'],
-                '192.168.2.125')
+            root.find("./ip[@address='192.168.2.0']").attrib["family"], "ipv4"
+        )
+        self.assertEqual(
+            root.find(
+                "./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.10']"
+            ).attrib["end"],
+            "192.168.2.25",
+        )
+        self.assertEqual(
+            root.find(
+                "./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.110']"
+            ).attrib["end"],
+            "192.168.2.125",
+        )
 
     def test_domain_capabilities(self):
-        '''
+        """
         Test the virt.domain_capabilities parsing
-        '''
-        xml = '''
+        """
+        xml = """
 <domainCapabilities>
   <path>/usr/bin/qemu-system-aarch64</path>
   <domain>kvm</domain>
@@ -2169,84 +3477,67 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
     <vmcoreinfo supported='yes'/>
   </features>
 </domainCapabilities>
-        '''
+        """
 
-        self.mock_conn.getDomainCapabilities.return_value = xml  # pylint: disable=no-member
+        self.mock_conn.getDomainCapabilities.return_value = (
+            xml  # pylint: disable=no-member
+        )
         caps = virt.domain_capabilities()
 
         expected = {
-            'emulator': '/usr/bin/qemu-system-aarch64',
-            'domain': 'kvm',
-            'machine': 'virt-2.12',
-            'arch': 'aarch64',
-            'max_vcpus': 255,
-            'iothreads': True,
-            'os': {
-                'loader': {
-                    'type': ['rom', 'pflash'],
-                    'readonly': ['yes', 'no'],
-                    'values': [
-                        '/usr/share/AAVMF/AAVMF_CODE.fd',
-                        '/usr/share/AAVMF/AAVMF32_CODE.fd',
-                        '/usr/share/OVMF/OVMF_CODE.fd'
-                    ]
+            "emulator": "/usr/bin/qemu-system-aarch64",
+            "domain": "kvm",
+            "machine": "virt-2.12",
+            "arch": "aarch64",
+            "max_vcpus": 255,
+            "iothreads": True,
+            "os": {
+                "loader": {
+                    "type": ["rom", "pflash"],
+                    "readonly": ["yes", "no"],
+                    "values": [
+                        "/usr/share/AAVMF/AAVMF_CODE.fd",
+                        "/usr/share/AAVMF/AAVMF32_CODE.fd",
+                        "/usr/share/OVMF/OVMF_CODE.fd",
+                    ],
                 }
             },
-            'cpu': {
-                'host-passthrough': True,
-                'host-model': {
-                    'model': {
-                        'name': 'sample-cpu',
-                        'fallback': 'forbid'
-                    },
-                    'vendor': 'ACME',
-                    'features': {
-                        'vme': 'require',
-                        'ss': 'require'
-                    }
+            "cpu": {
+                "host-passthrough": True,
+                "host-model": {
+                    "model": {"name": "sample-cpu", "fallback": "forbid"},
+                    "vendor": "ACME",
+                    "features": {"vme": "require", "ss": "require"},
                 },
-                'custom': {
-                    'models': {
-                        'pxa262': 'unknown',
-                        'pxa270-a0': 'yes',
-                        'arm1136': 'no'
-                    }
-                }
-            },
-            'devices': {
-                'disk': {
-                    'diskDevice': ['disk', 'cdrom', 'floppy', 'lun'],
-                    'bus': ['fdc', 'scsi', 'virtio', 'usb', 'sata'],
+                "custom": {
+                    "models": {"pxa262": "unknown", "pxa270-a0": "yes", "arm1136": "no"}
                 },
-                'graphics': {
-                    'type': ['sdl', 'vnc']
+            },
+            "devices": {
+                "disk": {
+                    "diskDevice": ["disk", "cdrom", "floppy", "lun"],
+                    "bus": ["fdc", "scsi", "virtio", "usb", "sata"],
                 },
-                'video': {
-                    'modelType': ['vga', 'virtio']
+                "graphics": {"type": ["sdl", "vnc"]},
+                "video": {"modelType": ["vga", "virtio"]},
+                "hostdev": {
+                    "mode": ["subsystem"],
+                    "startupPolicy": ["default", "mandatory", "requisite", "optional"],
+                    "subsysType": ["usb", "pci", "scsi"],
+                    "capsType": [],
+                    "pciBackend": ["default", "kvm", "vfio"],
                 },
-                'hostdev': {
-                    'mode': ['subsystem'],
-                    'startupPolicy': ['default', 'mandatory', 'requisite', 'optional'],
-                    'subsysType': ['usb', 'pci', 'scsi'],
-                    'capsType': [],
-                    'pciBackend': ['default', 'kvm', 'vfio']
-                }
             },
-            'features': {
-                'gic': {
-                    'version': ['3']
-                },
-                'vmcoreinfo': {}
-            }
+            "features": {"gic": {"version": ["3"]}, "vmcoreinfo": {}},
         }
 
         self.assertEqual(expected, caps)
 
     def test_all_capabilities(self):
-        '''
+        """
         Test the virt.domain_capabilities default output
-        '''
-        domainXml = '''
+        """
+        domainXml = """
 <domainCapabilities>
   <path>/usr/bin/qemu-system-x86_64</path>
   <domain>kvm</domain>
@@ -2255,8 +3546,8 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
   <vcpu max='255'/>
   <iothreads supported='yes'/>
 </domainCapabilities>
-        '''
-        hostXml = '''
+        """
+        hostXml = """
 <capabilities>
   <host>
     <uuid>44454c4c-3400-105a-8033-b3c04f4b344a</uuid>
@@ -2286,100 +3577,115 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
     </arch>
   </guest>
 </capabilities>
-        '''
+        """
 
         # pylint: disable=no-member
         self.mock_conn.getCapabilities.return_value = hostXml
         self.mock_conn.getDomainCapabilities.side_effect = [
-                domainXml, domainXml.replace('<domain>kvm', '<domain>qemu')]
+            domainXml,
+            domainXml.replace("<domain>kvm", "<domain>qemu"),
+        ]
         # pylint: enable=no-member
 
         caps = virt.all_capabilities()
-        self.assertEqual('44454c4c-3400-105a-8033-b3c04f4b344a', caps['host']['host']['uuid'])
-        self.assertEqual(set(['qemu', 'kvm']), set([domainCaps['domain'] for domainCaps in caps['domains']]))
+        self.assertEqual(
+            "44454c4c-3400-105a-8033-b3c04f4b344a", caps["host"]["host"]["uuid"]
+        )
+        self.assertEqual(
+            set(["qemu", "kvm"]),
+            set([domainCaps["domain"] for domainCaps in caps["domains"]]),
+        )
 
     def test_network_tag(self):
-        '''
+        """
         Test virt._get_net_xml() with VLAN tag
-        '''
-        xml_data = virt._gen_net_xml('network', 'main', 'bridge', 'openvswitch', 1001)
+        """
+        xml_data = virt._gen_net_xml("network", "main", "bridge", "openvswitch", 1001)
         root = ET.fromstring(xml_data)
-        self.assertEqual(root.find('name').text, 'network')
-        self.assertEqual(root.find('bridge').attrib['name'], 'main')
-        self.assertEqual(root.find('forward').attrib['mode'], 'bridge')
-        self.assertEqual(root.find('virtualport').attrib['type'], 'openvswitch')
-        self.assertEqual(root.find('vlan/tag').attrib['id'], '1001')
+        self.assertEqual(root.find("name").text, "network")
+        self.assertEqual(root.find("bridge").attrib["name"], "main")
+        self.assertEqual(root.find("forward").attrib["mode"], "bridge")
+        self.assertEqual(root.find("virtualport").attrib["type"], "openvswitch")
+        self.assertEqual(root.find("vlan/tag").attrib["id"], "1001")
 
     def test_list_networks(self):
-        '''
+        """
         Test virt.list_networks()
-        '''
-        names = ['net1', 'default', 'net2']
+        """
+        names = ["net1", "default", "net2"]
         net_mocks = [MagicMock(), MagicMock(), MagicMock()]
         for i, value in enumerate(names):
             net_mocks[i].name.return_value = value
 
-        self.mock_conn.listAllNetworks.return_value = net_mocks  # pylint: disable=no-member
+        self.mock_conn.listAllNetworks.return_value = (
+            net_mocks  # pylint: disable=no-member
+        )
         actual = virt.list_networks()
         self.assertEqual(names, actual)
 
     def test_network_info(self):
-        '''
+        """
         Test virt.network_info()
-        '''
+        """
         self.mock_libvirt.VIR_IP_ADDR_TYPE_IPV4 = 0
         self.mock_libvirt.VIR_IP_ADDR_TYPE_IPV6 = 1
 
         net_mock = MagicMock()
 
         # pylint: disable=no-member
-        net_mock.name.return_value = 'foo'
-        net_mock.UUIDString.return_value = 'some-uuid'
-        net_mock.bridgeName.return_value = 'br0'
+        net_mock.name.return_value = "foo"
+        net_mock.UUIDString.return_value = "some-uuid"
+        net_mock.bridgeName.return_value = "br0"
         net_mock.autostart.return_value = True
         net_mock.isActive.return_value = False
         net_mock.isPersistent.return_value = True
         net_mock.DHCPLeases.return_value = [
             {
-                'iface': 'virbr0',
-                'expirytime': 1527757552,
-                'type': 0,
-                'mac': '52:54:00:01:71:bd',
-                'ipaddr': '192.168.122.45',
-                'prefix': 24,
-                'hostname': 'py3-test',
-                'clientid': '01:52:54:00:01:71:bd',
-                'iaid': None
+                "iface": "virbr0",
+                "expirytime": 1527757552,
+                "type": 0,
+                "mac": "52:54:00:01:71:bd",
+                "ipaddr": "192.168.122.45",
+                "prefix": 24,
+                "hostname": "py3-test",
+                "clientid": "01:52:54:00:01:71:bd",
+                "iaid": None,
             }
         ]
         self.mock_conn.listAllNetworks.return_value = [net_mock]
         # pylint: enable=no-member
 
-        net = virt.network_info('foo')
-        self.assertEqual({'foo': {
-            'uuid': 'some-uuid',
-            'bridge': 'br0',
-            'autostart': True,
-            'active': False,
-            'persistent': True,
-            'leases': [
-                {
-                    'iface': 'virbr0',
-                    'expirytime': 1527757552,
-                    'type': 'ipv4',
-                    'mac': '52:54:00:01:71:bd',
-                    'ipaddr': '192.168.122.45',
-                    'prefix': 24,
-                    'hostname': 'py3-test',
-                    'clientid': '01:52:54:00:01:71:bd',
-                    'iaid': None
+        net = virt.network_info("foo")
+        self.assertEqual(
+            {
+                "foo": {
+                    "uuid": "some-uuid",
+                    "bridge": "br0",
+                    "autostart": True,
+                    "active": False,
+                    "persistent": True,
+                    "leases": [
+                        {
+                            "iface": "virbr0",
+                            "expirytime": 1527757552,
+                            "type": "ipv4",
+                            "mac": "52:54:00:01:71:bd",
+                            "ipaddr": "192.168.122.45",
+                            "prefix": 24,
+                            "hostname": "py3-test",
+                            "clientid": "01:52:54:00:01:71:bd",
+                            "iaid": None,
+                        }
+                    ],
                 }
-            ]}}, net)
+            },
+            net,
+        )
 
     def test_network_info_all(self):
-        '''
+        """
         Test virt.network_info()
-        '''
+        """
         self.mock_libvirt.VIR_IP_ADDR_TYPE_IPV4 = 0
         self.mock_libvirt.VIR_IP_ADDR_TYPE_IPV6 = 1
 
@@ -2388,9 +3694,9 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
         for i in range(2):
             net_mock = MagicMock()
 
-            net_mock.name.return_value = 'net{0}'.format(i)
-            net_mock.UUIDString.return_value = 'some-uuid'
-            net_mock.bridgeName.return_value = 'br{0}'.format(i)
+            net_mock.name.return_value = "net{0}".format(i)
+            net_mock.UUIDString.return_value = "some-uuid"
+            net_mock.bridgeName.return_value = "br{0}".format(i)
             net_mock.autostart.return_value = True
             net_mock.isActive.return_value = False
             net_mock.isPersistent.return_value = True
